Subject: [mobile-ip] Mipv6 issue #214: zero or more options corrected

From: Jari Arkko <[email-masked]>
Date: Sun, 19 Jan 2003 14:00:32 +0200

Mauro Tortonesi writes:

 > on section 6.1.2:
 >
 >     Mobility Options
 >
 >         Variable-length field of such length that the complete Mobility
 >         Header is an integer multiple of 8 octets long.  Contains one
 >                                                                   ^^^
 >         or more TLV-encoded mobility options.  The encoding and format
 >         of defined options are described in Section 6.2.  The receiver
 >         MUST ignore and skip any options which it does not understand.
 >
 >         There MAY be additional information, associated with this
 >         Binding Refresh Request message, that need not be present
 >         in all Binding Refresh Requests sent.  This use of mobility
 >         options also allows for future extensions to the format of
 >         the Binding Refresh Request message to be defined.  This
 >         specification does not define any options valid for the Binding
 >         Refresh Request message.
 >
 > given this:
 >
 >   If no actual options are present in this message, no padding is
 >   necessary and the Header Len field will be set to 0.
 >
 > the one underlined above should be zero.

Right .The same applies in some other sections as well.
Thanks!

Jari